# std::regex_error Class Reference
[Regular Expressions]

Inheritance diagram for std::regex_error:

List of all members.

## Detailed Description

Defines the exception objects thrown report errors from the regular expression library.

Definition at line 314 of file tr1_impl/regex.

## Public Member Functions

- regex_constants::error_type code () const
- regex_error (regex_constants::error_type __ecode)
- virtual const char * what () const throw ()

## Protected Attributes

- regex_constants::error_type _M_code

## Constructor & Destructor Documentation

std::regex_error::regex_error | ( | regex_constants::error_type | __ecode | ) | `[inline, explicit]`

constructs a regex_error object.

Parameters:

  | ecode | the regex error code.

Definition at line 324 of file tr1_impl/regex.

## Member Function Documentation

regex_constants::error_type std::regex_error::code | ( |  | ) | const`[inline]`

gets the regex error code.

Returns:
  the regex error code.

Definition at line 334 of file tr1_impl/regex.

References _M_code.

virtual const char* std::runtime_error::what | ( |  | ) | const throw ()`[virtual, inherited]`

Returns a C-style character string describing the general cause of the current error (the same string passed to the ctor).

Reimplemented from std::exception.

The documentation for this class was generated from the following file:

- tr1_impl/regex